@import 'colours';
@import 'fonts';

.social-list {
    display: block;
    width: 100%;
    text-align: center;
    padding: 0;
}

.social-list a {
    font-size: var(--scale-2);
    color: $header_foreground;
    font-family: $branded_fonts;
    font-weight: $weight_normal;
    text-transform: none;
    line-height: 1em;
}

.social-list a::after {
    position: absolute;
    top: 100%;
    margin-top: 10px;
    left: 0;
    width: 100%;
    height: 2px;
    content: '';
    opacity: 0;
    -webkit-transition: opacity 0.3s, -webkit-transform 0.3s;
    -moz-transition: opacity 0.3s, -moz-transform 0.3s;
    transition: opacity 0.3s, transform 0.3s;
    -webkit-transform: translateY(10px);
    -moz-transform: translateY(10px);
    transform: translateY(10px);
}

.social-list a:hover::after,
.social-list a:focus::after {
    opacity: 1;
    -webkit-transform: translateY(0px);
    -moz-transform: translateY(0px);
    transform: translateY(0px);
}
